Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class CalcModeRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.CalcModeRecord

    public final class CalcModeRecord

extends StandardRecord

Title: Calc Mode Record

Description: Tells the gui whether to calculate formulas automatically, manually or automatically except for tables.

REFERENCE: PG 292 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)
See Also:
  `CalcCountRecord`

Field Summary
`static short` | `AUTOMATIC` automatically calculate formulas (1)
`static short` | `AUTOMATIC_EXCEPT_TABLES` automatically calculate formulas except for tables (-1)
`static short` | `MANUAL` manually calculate formulas (0)
`static short` | `sid`

Constructor Summary
`CalcModeRecord()`
`CalcModeRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getCalcMode()` get the calc mode flag for formulas
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setCalcMode(short calcmode)` set the calc mode flag for formulas
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### MANUAL

    public static final short MANUAL

  manually calculate formulas (0)

  See Also:
    Constant Field Values

### AUTOMATIC

    public static final short AUTOMATIC

  automatically calculate formulas (1)

  See Also:
    Constant Field Values

### AUTOMATIC_EXCEPT_TABLES

    public static final short AUTOMATIC_EXCEPT_TABLES

  automatically calculate formulas except for tables (-1)

  See Also:
    Constant Field Values

Constructor Detail

### CalcModeRecord

    public CalcModeRecord()

### CalcModeRecord

    public CalcModeRecord(RecordInputStream in)

Method Detail

### setCalcMode

    public void setCalcMode(short calcmode)

  set the calc mode flag for formulas

  Parameters:
    `calcmode` - one of the three flags above
  See Also:
    `MANUAL`, `AUTOMATIC`, `AUTOMATIC_EXCEPT_TABLES`

### getCalcMode

    public short getCalcMode()

  get the calc mode flag for formulas

  Returns:
    calcmode one of the three flags above
  See Also:
    `MANUAL`, `AUTOMATIC`, `AUTOMATIC_EXCEPT_TABLES`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD